---
features:
  primary:
  - name: "Improved UI for CI/CD variable management"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/variables/#define-a-cicd-variable-in-the-ui'
    image_url: '/images/16_6/ci_variables_drawer.png'
    reporter: jocelynjane
    stage: verify
    categories:
    - Secrets Management
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/418005'
    description: |
      CI/CD variables are a fundamental part of GitLab CI/CD, and we felt that we could offer a better experience for working with variables from the settings UI. So in this release we've updated the UI to use a new drawer that improves the flow of adding and editing CI/CD variables.

      For example, the masking validation used to only happen when you tried to save the CI/CD variable, and if it failed you'd have to restart from scratch. But now with the new drawer, you get real time validation so you can adjust on the fly without needed to redo anything!

      Your [feedback for this change](https://gitlab.com/gitlab-org/gitlab/-/issues/428807) is always valued and appreciated.
